Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 750002

Summary: dev-python/black-20.8_beta1 fails test tests.test_primer.PrimerLibTests
Product: Gentoo Linux Reporter: Thomas Deutschmann <whissi>
Component: Current packagesAssignee: Patrick McLean <chutzpah>
Status: RESOLVED FIXED    
Severity: normal CC: ago, alexey+gentoo, paolo.pedroni, sam
Priority: Normal Keywords: TESTFAILURE
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 745552    

Description Thomas Deutschmann gentoo-dev Security 2020-10-18 18:29:41 UTC
> ======================================================================
> ERROR: test_gen_check_output (tests.test_primer.PrimerLibTests)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/contextlib.py", line 52, in inner
>     return func(*args, **kwds)
>   File "/var/tmp/portage/dev-python/black-20.8_beta1/work/black-20.8b1/tests/test_primer.py", line 144, in test_gen_check_output
>     lib._gen_check_output([lib.BLACK_BINARY, "--help"])
>   File "/usr/lib/python3.6/asyncio/base_events.py", line 488, in run_until_complete
>     return future.result()
>   File "/var/tmp/portage/dev-python/black-20.8_beta1/work/black-20.8b1-python3_6/lib/black_primer/lib.py", line 52, in _gen_check_output
>     cwd=cwd,
>   File "/usr/lib/python3.6/asyncio/subprocess.py", line 225, in create_subprocess_exec
>     stderr=stderr, **kwds)
>   File "/usr/lib/python3.6/asyncio/base_events.py", line 1222, in subprocess_exec
>     bufsize, **kwargs)
>   File "/usr/lib/python3.6/asyncio/unix_events.py", line 200, in _make_subprocess_transport
>     **kwargs)
>   File "/usr/lib/python3.6/asyncio/base_subprocess.py", line 39, in __init__
>     stderr=stderr, bufsize=bufsize, **kwargs)
>   File "/usr/lib/python3.6/asyncio/unix_events.py", line 706, in _start
>     universal_newlines=False, bufsize=bufsize, **kwargs)
>   File "/usr/lib/python3.6/subprocess.py", line 729, in __init__
>     restore_signals, start_new_session)
>   File "/usr/lib/python3.6/subprocess.py", line 1364, in _execute_child
>     raise child_exception_type(errno_num, err_msg, err_filename)
> FileNotFoundError: [Errno 2] No such file or directory: 'black': 'black'
> 
> ======================================================================
> FAIL: test_async_main (tests.test_primer.PrimerCLITests)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/contextlib.py", line 52, in inner
>     return func(*args, **kwds)
>   File "/var/tmp/portage/dev-python/black-20.8_beta1/work/black-20.8b1/tests/test_primer.py", line 204, in test_async_main
>     self.assertEqual(0, return_val)
> AssertionError: 0 != -1
> 
> ======================================================================
> FAIL: test_async_main (tests.test_primer.PrimerCLITests)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/usr/lib/python3.6/contextlib.py", line 52, in inner
>     return func(*args, **kwds)
>   File "/var/tmp/portage/dev-python/black-20.8_beta1/work/black-20.8b1/tests/test_primer.py", line 204, in test_async_main
>     self.assertEqual(0, return_val)
> AssertionError: 0 != -1
> 
> ----------------------------------------------------------------------
> Ran 150 tests in 33.346s
> 
> FAILED (failures=2, errors=1, expected failures=3)
> /usr/lib/python3.6/asyncio/base_events.py:531: ResourceWarning: unclosed event loop <_UnixSelectorEventLoop running=False closed=False debug=False>
>  * ERROR: dev-python/black-20.8_beta1::gentoo failed (test phase):
>  *   Tests fail with python3.6


Portage 3.0.8 (python 3.7.9-final-0, default/linux/x86/17.0, gcc-9.3.0, glibc-2.31-r6, 5.4.66-gentoo-x86-kmod i686)
=================================================================
System uname: Linux-5.4.66-gentoo-x86-kmod-i686-with-gentoo-2.7
KiB Mem:     3106040 total,    973416 free
KiB Swap:    8875836 total,   8873012 free
Timestamp of repository gentoo: Sun, 18 Oct 2020 14:05:19 +0000
Head commit of repository gentoo: 003bff9e2f42d81705b8c9b8d4c0aa018863f2ec

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r4::gentoo, 3.6.12::gentoo, 3.7.9::gentoo, 3.8.5::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ARCH="x86"
BINPKG_COMPRESS="bzip2"
BROOT=""
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m -Wno-error=jump-misses-init -Wno-error=sign-compare"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.34/info:/usr/share/info"
INPUT_DEVICES="libinput"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-guest prefix-stack"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENCL_PROFILE="ocl-icd"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/10/bin"
PHP_TARGETS="php7-2 php7-3"
POSTGRES_TARGETS="postgres10 postgres11"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_7"
PYTHON_TARGETS="python2_7 python3_7"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/10/bin"
RUBY_TARGETS="ruby25 ruby26"
SHELL="/bin/bash"
SHLVL="2"
SSH_ASKPASS="/usr/bin/ssh-askpass-fullscreen"
SSH_TTY="/dev/pts/0"
SYSROOT="/"
TERM="tmux-256color"
TMUX="/tmp//tmux-0/default,3583,0"
TMUX_PANE="%3"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="1"
XDG_SESSION_TYPE="tty"
Comment 1 Sam James archtester gentoo-dev Security 2020-11-26 04:43:58 UTC
*** Bug 754201 has been marked as a duplicate of this bug. ***
Comment 2 Sam James archtester gentoo-dev Security 2020-11-26 04:44:07 UTC
*** Bug 743187 has been marked as a duplicate of this bug. ***
Comment 3 Sam James archtester gentoo-dev Security 2020-11-26 04:44:37 UTC
I started looking at this and it was a mess involving needing to be installed for testing (fake it with d_i_f_t) but that wasn't sufficient.
Comment 4 Larry the Git Cow gentoo-dev 2021-07-25 10:41:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ff9f45efed8f3d583ada6360005c43fd5f71c2f

commit 8ff9f45efed8f3d583ada6360005c43fd5f71c2f
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2021-07-25 10:37:29 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2021-07-25 10:41:09 +0000

    dev-python/black: Install before testing
    
    Closes: https://bugs.gentoo.org/750002
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/black/black-21.6_beta0.ebuild | 1 +
 dev-python/black/black-21.7_beta0.ebuild | 1 +
 2 files changed, 2 insertions(+)